def parse(line):
    arr = line.split("\t")
    return Gw12Status(int(arr[0]), int(arr[1]), int(arr[2]), float(arr[3]),
        long(arr[4]), int(arr[5]))


class Gw12Status:
    device_id = None
    flash_writes = None
    reboot_count = None
    crc_failures = None
    free_space = None
    reboots = None

    def __init__(self, device_id, flash_writes, reboot_count, crc_failures,
            free_space, reboots):
        self.device_id = device_id
        self.flash_writes = flash_writes
        self.reboot_count = reboot_count
        self.crc_failures = crc_failures
        self.free_space = free_space
        self.reboots = reboots

    def __str__(self):
        return ("Device: %d Flash-writes: %d Reboots: %d CRC Fails: %d Freespace: %d Watchdog Reboots: %d" % (self.device_id,
            self.flash_writes, self.reboot_count, self.crc_failures,
            self.free_space, self.reboots))
