/** \file
 * dataconvert
 * get a binary probe data file and convert into real units
 * args: rawfile outputfile
 * @param infile outfile
 * was param infile outfile calibfile
 * caldata file was typically in probe data area or /glacsweb/data on base
 * we won't do that here to save time
 * 2012 version by KM
 */
#include "types.h"
#include "../../../firmware/2.x/gw12/src/sensor_readings.h"

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <string.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

/* read a line raw ascii data file into an array of readings
*/

read_raw_data_line(FILE *fp, Full_Sensor_Reading_package_TypeDef *r)
{


}

int main(int argc, char **argv)
{
	FILE *in, *out;
	Full_Sensor_Reading_package_TypeDef r;
	int ret;
	char datestr[80], timestr[80];
	cal_value_t *cal_val;
	GWmeasurement m;

	if(argc != 3){
		printf("args: rawfile calibratedfile\n");
		exit(0);
		}
	if( (in = fopen(argv[1],"r")) ==  NULL )
	{
		printf("can't open input file\n");
		exit(0);
	}
	if( (out = fopen(argv[2], "w")) == NULL) 
	{
		printf("can't open output file\n");
		exit(0);
	}

	fclose(in);
	fclose(out);
	return 0;
}
