from gwlogging import logger

class GwFileList():

    def __init__(self, name, size):
        self.name = name
        self.size = int(size)

    def __str__(self):
        return "%s %d" % (self.name, self.size)


def parse(resp):
    logger.debug(resp)
    files = []
    for line in resp:
        print line
        arr = line.split("\t")
        if arr[0] == "." or arr[0] == "..":
            continue
        if " " in arr[1]:
            arr[1] = arr[1].split(" ")[0]
        files.append(GwFileList(arr[0].translate(None, "\x00"),
             arr[1].rstrip("\t\r\n")))
    return files
