/* CHOP OFF ALL THE RUBBISH AT THE END OF A FILE WHICH HAS COME VIA XMODEM
ie the ^Z null null null.... etc
*/
#include <stdio.h>
int main(int argc, char **argv)
{
FILE *in, *out;
long int c;
unsigned char byte;
int filesize;

if( (in = fopen(argv[1], "rb")) == NULL){
	printf("Can not open that file!\n");
	return(1);
	}
out = fopen("/tmp/cleanedup", "w");

for(c = 1; c < 1024; c++){
	// start with last byte, look for a ^Z
	if( fseek(in, -c, SEEK_END) != 0){
		printf("seek failed\n");
		return(1);
	}
	if(fread(&byte, 1, 1, in) != 1){
		printf("read failed\n");
		return(1);
	}
	if( byte  == 0x1a ) break;
}

fseek(in, 0, SEEK_END);
filesize = ftell(in); // including the rubbish
filesize -= (int)c;

rewind(in);
for(c = 0; c < filesize; c++){
	if(fread(&byte, 1, 1, in) != 1){
		printf("read failed\n");
		return(1);
	}
	if( fwrite(&byte, 1, 1, out) != 1){
		printf("failed writing temporary output file\n");
		return(1);
	}
}


fclose(in);
fclose(out);
if( rename("/tmp/cleanedup", argv[1]) != 0){
	printf("Error moving cleaned up file\n");
	return(1);
}
else return(0);

}
