
#!/usr/bin/env python
from Gw12 import Gw12, logger
from gwlogging import ERROR

from sys import argv


def continuous_sensing(node_id):
    g = Gw12()
    try:
        fmt = ("%-10s %-10s %-7s %-5s %-6s %-6s %-6s %-6s %-6s %-6s" +
            " %-6s %-6s %-6s %-6s %-6s %-6s %-6s %-6s %-6s")
        print  fmt % ("epoch", "rtcval", "bat_v", "vdd", "t_pt", "t_in",
            "t_in_c", "press", "strain", "cond", "a_x", "a_y", "a_z",
            "c_x", "c_y", "c_z", "g_x", "g_y", "g_z")

        while True:
            print ((g.sensall(node_id).compact_string()))

    except KeyboardInterrupt:
        exit(0)

if __name__ == "__main__":
    logger.setLevel(ERROR)
    if len(argv) != 2:
        print "USAGE: %s <node_id>"
        exit(1)
    continuous_sensing(int(argv[1]))
