class ServerDetails:
    """Basic class in which details of a server to connect to can be stored"""

    def __init__(
            self, address, user, keyPath, uploadPath, webPath,
            gprs_only=False):
        """address: the address of the server: sensordata.ecs.soton.ac.uk
            user: the username to use to login: glacsweb
            keyPath:the path to the key file to use: /root/id_rsa
            uploadPath: the path on the server to upload files to:
            /home/glacsweb/www/iceland/incoming
            webPath: the path needed to access web accesible files:
            /glacsweb/iceland
            gprs_only: if ssh connection is available via gprs only"""
        self.address = address
        self.user = user
        self.keyPath = keyPath
        self.uploadPath = uploadPath
        self.webPath = webPath
        self.gprs_only = gprs_only
